package com.lightinit.hsdataportal.dictionary;

import java.util.LinkedHashMap;

/**
 * Created by WangYao on 2018/6/12.
 */
public class DicPublishSettingChargeMethod {

    public static final String FREE = "免费";
    public static final String BY_TIME = "按时间收费";
    public static final String BY_NUMBER_OF_TIMES = "按次数收费";

    private static DicPublishSettingChargeMethod instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicPublishSettingChargeMethod(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(FREE, FREE);
        dicMap.put(BY_TIME, BY_TIME);
        dicMap.put(BY_NUMBER_OF_TIMES, BY_NUMBER_OF_TIMES);
    }

    public static DicPublishSettingChargeMethod getInstacne(){
        if (instance == null)
        {
            instance = new DicPublishSettingChargeMethod();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }

}
